curl --request POST \
--url https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id} \
--header 'Content-Type: application/json' \
--header 'x-auth-token: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"entity_type": "COMPANY",
"company_name": "UQPAY PTE. LTD.",
"payment_method": "SWIFT",
"nickname": "Updated 452d7f6f",
"email": "contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com",
"bank_details": {
"bank_name": "GREEN LINK DIGITAL BANK",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"account_holder": "UQPAY PTE. LTD.",
"account_currency_code": "SGD",
"account_number": "11020075767",
"clearing_system": "SWIFT",
"swift_code": "GLDTSGSGXXX"
},
"address": {
"country": "SG",
"city": "Singapore",
"state": "Singapore",
"street_address": "Sandbox Contract Test",
"postal_code": 18989
}
}
'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
payload = {
"entity_type": "COMPANY",
"company_name": "UQPAY PTE. LTD.",
"payment_method": "SWIFT",
"nickname": "Updated 452d7f6f",
"email": "contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com",
"bank_details": {
"bank_name": "GREEN LINK DIGITAL BANK",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"account_holder": "UQPAY PTE. LTD.",
"account_currency_code": "SGD",
"account_number": "11020075767",
"clearing_system": "SWIFT",
"swift_code": "GLDTSGSGXXX"
},
"address": {
"country": "SG",
"city": "Singapore",
"state": "Singapore",
"street_address": "Sandbox Contract Test",
"postal_code": 18989
}
}
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-auth-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-auth-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entity_type: 'COMPANY',
company_name: 'UQPAY PTE. LTD.',
payment_method: 'SWIFT',
nickname: 'Updated 452d7f6f',
email: 'contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com',
bank_details: {
bank_name: 'GREEN LINK DIGITAL BANK',
bank_address: 'MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE',
bank_country_code: 'SG',
account_holder: 'UQPAY PTE. LTD.',
account_currency_code: 'SGD',
account_number: '11020075767',
clearing_system: 'SWIFT',
swift_code: 'GLDTSGSGXXX'
},
address: {
country: 'SG',
city: 'Singapore',
state: 'Singapore',
street_address: 'Sandbox Contract Test',
postal_code: 18989
}
})
};
fetch('https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_type' => 'COMPANY',
'company_name' => 'UQPAY PTE. LTD.',
'payment_method' => 'SWIFT',
'nickname' => 'Updated 452d7f6f',
'email' => 'contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com',
'bank_details' => [
'bank_name' => 'GREEN LINK DIGITAL BANK',
'bank_address' => 'MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE',
'bank_country_code' => 'SG',
'account_holder' => 'UQPAY PTE. LTD.',
'account_currency_code' => 'SGD',
'account_number' => '11020075767',
'clearing_system' => 'SWIFT',
'swift_code' => 'GLDTSGSGXXX'
],
'address' => [
'country' => 'SG',
'city' => 'Singapore',
'state' => 'Singapore',
'street_address' => 'Sandbox Contract Test',
'postal_code' => 18989
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-auth-token: <api-key>",
"x-idempotency-key: <x-idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
payload := strings.NewReader("{\n \"entity_type\": \"COMPANY\",\n \"company_name\": \"UQPAY PTE. LTD.\",\n \"payment_method\": \"SWIFT\",\n \"nickname\": \"Updated 452d7f6f\",\n \"email\": \"contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com\",\n \"bank_details\": {\n \"bank_name\": \"GREEN LINK DIGITAL BANK\",\n \"bank_address\": \"MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE\",\n \"bank_country_code\": \"SG\",\n \"account_holder\": \"UQPAY PTE. LTD.\",\n \"account_currency_code\": \"SGD\",\n \"account_number\": \"11020075767\",\n \"clearing_system\": \"SWIFT\",\n \"swift_code\": \"GLDTSGSGXXX\"\n },\n \"address\": {\n \"country\": \"SG\",\n \"city\": \"Singapore\",\n \"state\": \"Singapore\",\n \"street_address\": \"Sandbox Contract Test\",\n \"postal_code\": 18989\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-auth-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
.header("x-idempotency-key", "<x-idempotency-key>")
.header("x-auth-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"entity_type\": \"COMPANY\",\n \"company_name\": \"UQPAY PTE. LTD.\",\n \"payment_method\": \"SWIFT\",\n \"nickname\": \"Updated 452d7f6f\",\n \"email\": \"contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com\",\n \"bank_details\": {\n \"bank_name\": \"GREEN LINK DIGITAL BANK\",\n \"bank_address\": \"MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE\",\n \"bank_country_code\": \"SG\",\n \"account_holder\": \"UQPAY PTE. LTD.\",\n \"account_currency_code\": \"SGD\",\n \"account_number\": \"11020075767\",\n \"clearing_system\": \"SWIFT\",\n \"swift_code\": \"GLDTSGSGXXX\"\n },\n \"address\": {\n \"country\": \"SG\",\n \"city\": \"Singapore\",\n \"state\": \"Singapore\",\n \"street_address\": \"Sandbox Contract Test\",\n \"postal_code\": 18989\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-idempotency-key"] = '<x-idempotency-key>'
request["x-auth-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_type\": \"COMPANY\",\n \"company_name\": \"UQPAY PTE. LTD.\",\n \"payment_method\": \"SWIFT\",\n \"nickname\": \"Updated 452d7f6f\",\n \"email\": \"contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com\",\n \"bank_details\": {\n \"bank_name\": \"GREEN LINK DIGITAL BANK\",\n \"bank_address\": \"MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE\",\n \"bank_country_code\": \"SG\",\n \"account_holder\": \"UQPAY PTE. LTD.\",\n \"account_currency_code\": \"SGD\",\n \"account_number\": \"11020075767\",\n \"clearing_system\": \"SWIFT\",\n \"swift_code\": \"GLDTSGSGXXX\"\n },\n \"address\": {\n \"country\": \"SG\",\n \"city\": \"Singapore\",\n \"state\": \"Singapore\",\n \"street_address\": \"Sandbox Contract Test\",\n \"postal_code\": 18989\n }\n}"
response = http.request(request)
puts response.read_body{
"beneficiary_id": "caf351ff-be40-4caa-9288-133ba6d6d4b1",
"short_reference_id": "BF260910-E9MJ2KHL"
}Update Beneficiary
Update the recipient details saved for future payouts.
Identify the beneficiary using id and supply the fields required for its payment method. For a card beneficiary, submit the complete card beneficiary object rather than a partial update. The beneficiary entity type cannot be changed.
curl --request POST \
--url https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id} \
--header 'Content-Type: application/json' \
--header 'x-auth-token: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"entity_type": "COMPANY",
"company_name": "UQPAY PTE. LTD.",
"payment_method": "SWIFT",
"nickname": "Updated 452d7f6f",
"email": "contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com",
"bank_details": {
"bank_name": "GREEN LINK DIGITAL BANK",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"account_holder": "UQPAY PTE. LTD.",
"account_currency_code": "SGD",
"account_number": "11020075767",
"clearing_system": "SWIFT",
"swift_code": "GLDTSGSGXXX"
},
"address": {
"country": "SG",
"city": "Singapore",
"state": "Singapore",
"street_address": "Sandbox Contract Test",
"postal_code": 18989
}
}
'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
payload = {
"entity_type": "COMPANY",
"company_name": "UQPAY PTE. LTD.",
"payment_method": "SWIFT",
"nickname": "Updated 452d7f6f",
"email": "contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com",
"bank_details": {
"bank_name": "GREEN LINK DIGITAL BANK",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"account_holder": "UQPAY PTE. LTD.",
"account_currency_code": "SGD",
"account_number": "11020075767",
"clearing_system": "SWIFT",
"swift_code": "GLDTSGSGXXX"
},
"address": {
"country": "SG",
"city": "Singapore",
"state": "Singapore",
"street_address": "Sandbox Contract Test",
"postal_code": 18989
}
}
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-auth-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-auth-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entity_type: 'COMPANY',
company_name: 'UQPAY PTE. LTD.',
payment_method: 'SWIFT',
nickname: 'Updated 452d7f6f',
email: 'contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com',
bank_details: {
bank_name: 'GREEN LINK DIGITAL BANK',
bank_address: 'MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE',
bank_country_code: 'SG',
account_holder: 'UQPAY PTE. LTD.',
account_currency_code: 'SGD',
account_number: '11020075767',
clearing_system: 'SWIFT',
swift_code: 'GLDTSGSGXXX'
},
address: {
country: 'SG',
city: 'Singapore',
state: 'Singapore',
street_address: 'Sandbox Contract Test',
postal_code: 18989
}
})
};
fetch('https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_type' => 'COMPANY',
'company_name' => 'UQPAY PTE. LTD.',
'payment_method' => 'SWIFT',
'nickname' => 'Updated 452d7f6f',
'email' => 'contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com',
'bank_details' => [
'bank_name' => 'GREEN LINK DIGITAL BANK',
'bank_address' => 'MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE',
'bank_country_code' => 'SG',
'account_holder' => 'UQPAY PTE. LTD.',
'account_currency_code' => 'SGD',
'account_number' => '11020075767',
'clearing_system' => 'SWIFT',
'swift_code' => 'GLDTSGSGXXX'
],
'address' => [
'country' => 'SG',
'city' => 'Singapore',
'state' => 'Singapore',
'street_address' => 'Sandbox Contract Test',
'postal_code' => 18989
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-auth-token: <api-key>",
"x-idempotency-key: <x-idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
payload := strings.NewReader("{\n \"entity_type\": \"COMPANY\",\n \"company_name\": \"UQPAY PTE. LTD.\",\n \"payment_method\": \"SWIFT\",\n \"nickname\": \"Updated 452d7f6f\",\n \"email\": \"contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com\",\n \"bank_details\": {\n \"bank_name\": \"GREEN LINK DIGITAL BANK\",\n \"bank_address\": \"MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE\",\n \"bank_country_code\": \"SG\",\n \"account_holder\": \"UQPAY PTE. LTD.\",\n \"account_currency_code\": \"SGD\",\n \"account_number\": \"11020075767\",\n \"clearing_system\": \"SWIFT\",\n \"swift_code\": \"GLDTSGSGXXX\"\n },\n \"address\": {\n \"country\": \"SG\",\n \"city\": \"Singapore\",\n \"state\": \"Singapore\",\n \"street_address\": \"Sandbox Contract Test\",\n \"postal_code\": 18989\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-auth-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
.header("x-idempotency-key", "<x-idempotency-key>")
.header("x-auth-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"entity_type\": \"COMPANY\",\n \"company_name\": \"UQPAY PTE. LTD.\",\n \"payment_method\": \"SWIFT\",\n \"nickname\": \"Updated 452d7f6f\",\n \"email\": \"contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com\",\n \"bank_details\": {\n \"bank_name\": \"GREEN LINK DIGITAL BANK\",\n \"bank_address\": \"MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE\",\n \"bank_country_code\": \"SG\",\n \"account_holder\": \"UQPAY PTE. LTD.\",\n \"account_currency_code\": \"SGD\",\n \"account_number\": \"11020075767\",\n \"clearing_system\": \"SWIFT\",\n \"swift_code\": \"GLDTSGSGXXX\"\n },\n \"address\": {\n \"country\": \"SG\",\n \"city\": \"Singapore\",\n \"state\": \"Singapore\",\n \"street_address\": \"Sandbox Contract Test\",\n \"postal_code\": 18989\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-idempotency-key"] = '<x-idempotency-key>'
request["x-auth-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_type\": \"COMPANY\",\n \"company_name\": \"UQPAY PTE. LTD.\",\n \"payment_method\": \"SWIFT\",\n \"nickname\": \"Updated 452d7f6f\",\n \"email\": \"contract-452d7f6f-4ef2-4751-8af5-38760b977a22@example.com\",\n \"bank_details\": {\n \"bank_name\": \"GREEN LINK DIGITAL BANK\",\n \"bank_address\": \"MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE\",\n \"bank_country_code\": \"SG\",\n \"account_holder\": \"UQPAY PTE. LTD.\",\n \"account_currency_code\": \"SGD\",\n \"account_number\": \"11020075767\",\n \"clearing_system\": \"SWIFT\",\n \"swift_code\": \"GLDTSGSGXXX\"\n },\n \"address\": {\n \"country\": \"SG\",\n \"city\": \"Singapore\",\n \"state\": \"Singapore\",\n \"street_address\": \"Sandbox Contract Test\",\n \"postal_code\": 18989\n }\n}"
response = http.request(request)
puts response.read_body{
"beneficiary_id": "caf351ff-be40-4caa-9288-133ba6d6d4b1",
"short_reference_id": "BF260910-E9MJ2KHL"
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
Body
- Company bank beneficiary
- Individual bank beneficiary
- Company Mastercard beneficiary
- Individual Mastercard beneficiary
The type of beneficiary entity.
"COMPANY"
Company name of the beneficiary, only exist when the entity_type is COMPANY.
-
When
payment_method = SWIFT:- Only English letters, numbers, special characters (half-width format), and spaces can be included.
- Allowed special characters:
-_().,@#~ ! $ % ^ & * + = { } [ ] \ | : " ' < > ? /・……
-
When
payment_method = LOCAL:- No strict validation rules apply, local language characters are supported.
-
No need to pass this field when
bank_details.bank_country_code = SG&bank_details.account_currency_code = SGD -
When
bank_country_code = CN&account_currency_code = CNH&payment_method = LOCAL&entity_type = COMPANY, Chinese characters and Chinese parentheses()are supported.
120^[a-zA-Z0-9 -_().,@#~!$%^&*+={}\|:"'<>?/・……]*$"UQPAY TECHNOLOGY SG PTE LTD"
Payment method for a bank beneficiary.
LOCAL, SWIFT "LOCAL"
Show child attributes
Show child attributes
Address of the beneficiary.
- No need to pass this field when
bank_details.bank_country_code = SG&bank_details.account_currency_code = SGD
Show child attributes
Show child attributes
Email address of the beneficiary.
"example@uqpay.com"
Nickname of the beneficiary.
120"John Doe"
Additional information for beneficiaries.
Show child attributes
Show child attributes
Response
Beneficiary update successfully.

